package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.modelbean.WmsOrderDetailsModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : PO订单明细信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_DOC_PO_DETAILS")
@Api("PO订单明细信息")
public class WmsPOMasterDetails extends WmsOrderDetailsModel {

    @Column(name = "PRINT_QTY")
    @ApiParam(value = "条码打印数量", example = "0")
    public Double printQty;

    @Column(name = "RC_QTY")
    @ApiParam(value = "收货数量", example = "0")
    public Double rcQty;

    @Column(name = "PASS_QTY")
    @ApiParam(value = "质检合格数量", example = "0")
    public Double passQty;

    @Column(name = "NG_QTY")
    @ApiParam(value = "质检不合格数量", example = "0")
    public Double ngQty;

    @Column(name = "ZDATE")
    @ApiParam("计划交货日期")
    public String zDate;

    @Column(name = "ZTIME")
    @ApiParam("计划交货时间")
    public String zTime;

    @Column(name = "ERP_WH_NO")
    @ApiParam("默认收货库存地")
    public String erpWhNo;

    /**
     * 状态:10 N=正常,20 C=行取消
     */
    @Column(name = "ITEM_STATUS")
    @ApiParam("状态")
    public String itemStatus;

    @Column(name = "SNP")
    @ApiParam("标准包装")
    public String snp;

    /**
     * 是否免费:0=计费,1=免费
     */
    @Column(name = "IS_FREE")
    @ApiParam(value = "是否免费", example = "1")
    public Integer isFree;
}
