package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.bean.WmsASNMasterDetails;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description : 单据明细Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-03-07 19:18
 * @Modify:
 **/
@Data
@Api("单据明细Model")
public class WmsOrderDetailsModel extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    public String partNo;
    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;
    @Column(name = "ITEM")
    @ApiParam("行号")
    public Integer item;
    @Column(name = "QTY")
    @ApiParam(value = "需求数量", example = "0")
    public Double qty;
    @Column(name = "UNIT")
    @ApiParam("单位")
    public String unit;
    @Column(name = "ORDER_NO")
    @ApiParam("订单号")
    public String orderNo;
}
